Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core
Interface IModelProviderEvent

public interface IModelProviderEvent

This event will be delivered to all model provider listeners when a model managed by the model provider changes in some way.

Since:
  2.0

Field Summary
`static int` | `MODELS_ADDED` Event is sent after the models have been added.
`static int` | `MODELS_CHANGED` Event is sent after the models have been changed.
`static int` | `MODELS_REMOVED` Event is sent before the models will be removed.

Method Summary
`IModel[]` | `getAddedModels()` Returns the models that are added
`IModel[]` | `getChangedModels()` Returns the models that has changed
`Object` | `getEventSource()` Returns the object that fired this event.
`int` | `getEventTypes()` Returns the combination of flags indicating type of event.
`IModel[]` | `getRemovedModels()` Returns the models that are removed

Field Detail

### MODELS_ADDED

    public static final int MODELS_ADDED

  Event is sent after the models have been added.

  See Also:
    Constant Field Values

### MODELS_REMOVED

    public static final int MODELS_REMOVED

  Event is sent before the models will be removed.

  See Also:
    Constant Field Values

### MODELS_CHANGED

    public static final int MODELS_CHANGED

  Event is sent after the models have been changed.

  See Also:
    Constant Field Values

Method Detail

### getAddedModels

    public IModel[] getAddedModels()

  Returns the models that are added

  Returns:
    the models that have been added or an empty array

### getRemovedModels

    public IModel[] getRemovedModels()

  Returns the models that are removed

  Returns:
    the models that have been removed or an empty array

### getChangedModels

    public IModel[] getChangedModels()

  Returns the models that has changed

  Returns:
    the models that has changed or an empty array

### getEventTypes

    public int getEventTypes()

  Returns the combination of flags indicating type of event. In case of multiple changes, flags are ORed together. (a combination of MODEL_CHANGED, MODEL_ADDED, MODEL_REMOVED)

  Returns:
    the model change type

### getEventSource

    public Object getEventSource()

  Returns the object that fired this event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.